Bug 1286589 - last update to amavisd-new-2.5.2-3 breaks amavis
last update to amavisd-new-2.5.2-3 breaks amavis
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: amavisd-new (Show other bugs)
el5
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Juan Orti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 04:47 EST by Frank Büttner
Modified: 2015-12-16 07:19 EST (History)
5 users (show)

See Also:
Fixed In Version: amavisd-new-2.5.2-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:19:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2015-11-30 04:47:35 EST
Description of problem:
The last update breaks the SA component.

Version-Release number of selected component (if applicable):
amavisd-new-2.5.2-3

How reproducible:
every time

Steps to Reproduce:
1. yum update

Actual results:
Error:
mavis[4484]: (04484-01) (!)SA failed: Can't locate object method "READ" via package "Amavis::SpamControl::Spam
Assassin::FileHandle" at /usr/lib/perl5/vendor_perl/5.8.8/Mail/SpamAssassin/Message.pm line 143, <GEN17> line 161. at (eval 47) line 
432, <GEN17> line 161.

Expected results:
Working amavis

Additional info:
This error is known.
http://www.andreaspollak.eu/2010/12/sa-failed-cant-locate-object-method-read-via-package-amavisiofilehandle/

will fix it by replace:
- my($data_representation) = 'GLOB';
+ my($data_representation) = 'ARRAY';  # pass data to SA as ARRAY or a GLOB
Comment 1 Fedora Update System 2015-11-30 05:20:46 EST
amavisd-new-2.5.2-4.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-46e190610b
Comment 2 Fedora Update System 2015-11-30 21:46:32 EST
amavisd-new-2.5.2-4.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update amavisd-new'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-46e190610b
Comment 3 Fedora Update System 2015-12-16 07:19:49 EST
amavisd-new-2.5.2-4.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.